Bug 520409 - Installer hangs when installing VMware-Workstation
Summary: Installer hangs when installing VMware-Workstation
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 11
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-31 11:31 UTC by Mikael Paavola
Modified: 2010-04-28 18:47 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-28 18:47:06 UTC


Attachments (Terms of Use)
Miroslav add this patch to ignore all rpm leeks. (1.61 KB, application/octet-stream)
2009-08-31 14:40 UTC, Daniel Walsh
no flags Details

Description Mikael Paavola 2009-08-31 11:31:05 UTC
User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.1.2) Gecko/20090803 Fedora/3.5.2-2.fc11 Firefox/3.5.2

Summary:

SELinux is preventing consoletype (consoletype_t) "write" rpm_script_t.

Detailed Description:

SELinux denied access requested by consoletype. It is not expected that this
access is required by consoletype and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.



Reproducible: Always

Steps to Reproduce:
1. Install VMware-Workstation-6.5.3-185404.i386.rpm (www.vmware.com)
2.
3.
Actual Results:  
AVCs


Expected Results:  
No AVCs




Additional Information:

Source Context                unconfined_u:system_r:consoletype_t:s0
Target Context                unconfined_u:system_r:rpm_script_t:s0-s0:c0.c1023
Target Objects                pipe [ fifo_file ]
Source                        consoletype
Source Path                   /sbin/consoletype
Port                          <Unknown>
Host                          paavomi.prh.fi
Source RPM Packages           initscripts-8.95-1
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.12-80.fc11
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     paavomi.prh.fi
Platform                      Linux paavomi.prh.fi 2.6.29.6-217.2.16.fc11.i586
                              #1 SMP Mon Aug 24 17:01:46 EDT 2009 i686 i686
Alert Count                   7
First Seen                    Mon 31 Aug 2009 10:12:01 AM EEST
Last Seen                     Mon 31 Aug 2009 12:42:05 PM EEST
Local ID                      ea904ed4-1a0b-43c7-bd0c-4ac39c46d128
Line Numbers                  

Raw Audit Messages            

node=paavomi.prh.fi type=AVC msg=audit(1251711725.206:180): avc:  denied  { write } for  pid=22963 comm="consoletype" path="pipe:[4089431]" dev=pipefs ino=4089431 scontext=unconfined_u:system_r:consoletype_t:s0 tcontext=unconfined_u:system_r:rpm_script_t:s0-s0:c0.c1023 tclass=fifo_file

node=paavomi.prh.fi type=SYSCALL msg=audit(1251711725.206:180): arch=40000003 syscall=11 success=yes exit=0 a0=926be58 a1=926bea0 a2=926bb80 a3=926bea0 items=0 ppid=22962 pid=22963 auid=500 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=pts3 ses=1 comm="consoletype" exe="/sbin/consoletype" subj=unconfined_u:system_r:consoletype_t:s0 key=(null)

Comment 1 Daniel Walsh 2009-08-31 14:35:28 UTC
This is not what is causing your hang.

This is actually a leaked file descriptor from an RPM scriptet and can be ignored.

Comment 2 Daniel Walsh 2009-08-31 14:40:15 UTC
Created attachment 359269 [details]
Miroslav add this patch to ignore all rpm leeks.

Comment 3 Miroslav Grepl 2009-09-02 14:16:15 UTC
Fixed in selinux-policy-3.6.12-82.fc11

Comment 5 Bug Zapper 2010-04-28 10:05:55 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.